%define _name nautilus-media
%define ver_major 0.8
%def_disable static
%def_disable test_view

Name: nautilus2-media
Version: %ver_major.0
Release: alt1

Summary: A Nautilus media package with views and thumbnailers
Group: Graphical desktop/GNOME
License: LGPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define gstreamer_ver 0.8.0
%define nautilus_ver 2.6.0

Requires: gstreamer >= %gstreamer_ver
Requires: gstreamer-plugins >= %gstreamer_ver
Requires: gstreamer-audio-effects >= %gstreamer_ver
Requires: gstreamer-audio-formats >= %gstreamer_ver
Requires: gstreamer-vorbis >= %gstreamer_ver

BuildPreReq: gnome-common
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver

# Automatically added by buildreq on Fri Apr 02 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel intltool libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig

%description
This package contains a Nautilus view for audio using GStreamer.

%package -n nautilus-test-view
Summary: Nautilus test view, only for educational purposes
Group: Development/GNOME and GTK+

%description -n nautilus-test-view
This package contains a Nautilus test view which doesn't do anything useful
and is only meant for educational use.

%define _libexecdir %_libdir/nautilus-2.0/components

%prep
%setup -q -n %_name-%version

%build
intltoolize --copy --force
%configure \
	 --disable-schemas-install \
	%{subst_enable static} \
	%{subst_enable test-view}

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/*.la

%find_lang %_name

%post
%gconf2_install gst-thumbnail

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall gst-thumbnail
fi

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*audio*
%_libdir/bonobo/*.so
%_libexecdir/nautilus-audio-view
%_datadir/gnome-2.0/ui/*audio*
%_datadir/nautilus/glade/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README TODO ChangeLog

%if_enabled test_view
%files -n nautilus-test-view
%_libdir/bonobo/servers/*test*
%_libexecdir/nautilus-test-view
%_datadir/gnome-2.0/ui/*test*
%doc test-view/README
%endif

%changelog
* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Fri Dec 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Sat Jun 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- new version.

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- First build for Sisyphus.
